GET /api/banlist/{PORT}
boolean
full=true 参数是可选的,可用于提供禁止列表中每个条目的其他详细信息{
"ips": [
"10.20.30.40",
"50.60.70.80|example.com"
]
}
curl "http://127.0.0.1:22999/api/banlist/{PORT}?full=true"
#!/usr/bin/env node
(async () => {
const response = await fetch('http://127.0.0.1:22999/api/banlist/{PORT}?full=true');
const data = await response.text();
console.log(data);
})();
package example;
import org.apache.http.HttpHost;
import org.apache.http.client.fluent.*;
public class Example {
public static void main(String[] args) throws Exception {
String res = Executor.newInstance()
.execute(Request.Get("http://127.0.0.1:22999/api/banlist/{PORT}?full=true"))
.returnContent().asString();
System.out.println(res)
}
}
using System;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
public class Program {
public static async Task Main() {
var client = new HttpClient();
var requestMessage = new HttpRequestMessage {
Method = HttpMethod.Get,
RequestUri = new Uri("http://127.0.0.1:22999/api/banlist/{PORT}?full=true")
};
var response = await client.SendAsync(requestMessage);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);
}
}
#!/usr/bin/env python
print('如果您收到错误 "ImportError: No module named requests",请安装它:\n$ sudo pip install requests');
import requests
r = requests.get('http://127.0.0.1:22999/api/banlist/{PORT}?full=true')
print(r.content)